#pragma once

#include "Object.h"
#include "includes.h"

class Breakable : public Object
{
public:
	Breakable(char* filename, Vector offset);
	~Breakable();

	virtual void collided(Ball& ball);
	virtual void advanceTime(float timestep);

private:
	float minY;

	static const float FALLING_SPEED;
	static const float HORIZONTAL_EXPLOSION_SPEED;
	bool breaking;
	Vector* horizontalVelocities;
};
